POST API/Vehicle/SetVehicleService
Request Information
URI Parameters
None.
Body Parameters
VehicleServiceM| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Vehicle_ID | globally unique identifier |
None. |
|
| ServiceType_ID | integer |
None. |
|
| Description | string |
None. |
|
| Amount | integer |
None. |
|
| ExpireDate | date |
None. |
|
| CreateDate | date |
None. |
|
| UpdatePerson_ID | globally unique identifier |
None. |
|
| InstallationDate | date |
None. |
|
| Status | boolean |
None. |
|
| SendForExpens | Collection of SendForExpensM |
None. |
|
| documents | Collection of DocumentM |
None. |
|
| documentsForService | Collection of DocumentM |
None. |
Request Formats
application/json, text/json
Sample:
{
"ID": "1e2d1bd1-cdd7-47d2-af78-9e80ae60ba64",
"Vehicle_ID": "79b66ab6-3331-4cb6-8f70-f2bb3fc8ce2d",
"ServiceType_ID": 3,
"Description": "sample string 4",
"Amount": 1,
"ExpireDate": "2026-05-17T04:11:30.7823561+05:00",
"CreateDate": "2026-05-17T04:11:30.7823561+05:00",
"UpdatePerson_ID": "4577a5d4-ee35-4012-add0-51b7556b4a71",
"InstallationDate": "2026-05-17T04:11:30.7823561+05:00",
"Status": true,
"SendForExpens": [
{
"dtS": "2026-05-17T04:11:30.7823561+05:00",
"dtE": "2026-05-17T04:11:30.7823561+05:00",
"ID": "23261831-f3dc-4b70-9c97-ca9832497d30",
"VehicleService_ID": "d699b550-36c9-4e0b-be88-62c1e7468516",
"Department_ID": 3,
"Stock_ID": "0024de9d-4dfe-478c-bf6b-6192162c8101",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-05-17T04:11:30.7823561+05:00",
"UpdatePerson_ID": "5c9cdec5-c5c1-4174-bfad-e2318757dead",
"UpdateDate": "2026-05-17T04:11:30.7823561+05:00",
"StockIncoming_ID": "198c0e2e-96be-4971-b250-7c33748e1495",
"Stock": {
"ID": "a3ba89e7-2261-48b4-8d36-cdc4e9f452fb",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:11:30.7823561+05:00"
}
},
{
"dtS": "2026-05-17T04:11:30.7823561+05:00",
"dtE": "2026-05-17T04:11:30.7823561+05:00",
"ID": "23261831-f3dc-4b70-9c97-ca9832497d30",
"VehicleService_ID": "d699b550-36c9-4e0b-be88-62c1e7468516",
"Department_ID": 3,
"Stock_ID": "0024de9d-4dfe-478c-bf6b-6192162c8101",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-05-17T04:11:30.7823561+05:00",
"UpdatePerson_ID": "5c9cdec5-c5c1-4174-bfad-e2318757dead",
"UpdateDate": "2026-05-17T04:11:30.7823561+05:00",
"StockIncoming_ID": "198c0e2e-96be-4971-b250-7c33748e1495",
"Stock": {
"ID": "a3ba89e7-2261-48b4-8d36-cdc4e9f452fb",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-05-17T04:11:30.7823561+05:00"
}
}
],
"documents": [
{
"id": "b3275773-e00b-453e-b68d-879f02fdbf41",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:11:30.7823561+05:00"
},
{
"id": "b3275773-e00b-453e-b68d-879f02fdbf41",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:11:30.7823561+05:00"
}
],
"documentsForService": [
{
"id": "b3275773-e00b-453e-b68d-879f02fdbf41",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:11:30.7823561+05:00"
},
{
"id": "b3275773-e00b-453e-b68d-879f02fdbf41",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-05-17T04:11:30.7823561+05:00"
}
]
}
application/xml, text/xml
Sample:
<VehicleServiceM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Amount>1</Amount>
<CreateDate>2026-05-17T04:11:30.7823561+05:00</CreateDate>
<Description>sample string 4</Description>
<ExpireDate>2026-05-17T04:11:30.7823561+05:00</ExpireDate>
<ID>1e2d1bd1-cdd7-47d2-af78-9e80ae60ba64</ID>
<InstallationDate>2026-05-17T04:11:30.7823561+05:00</InstallationDate>
<SendForExpens>
<SendForExpensM>
<CreateDate>2026-05-17T04:11:30.7823561+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>23261831-f3dc-4b70-9c97-ca9832497d30</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:11:30.7823561+05:00</CreateDate>
<ID>a3ba89e7-2261-48b4-8d36-cdc4e9f452fb</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>198c0e2e-96be-4971-b250-7c33748e1495</StockIncoming_ID>
<Stock_ID>0024de9d-4dfe-478c-bf6b-6192162c8101</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-05-17T04:11:30.7823561+05:00</UpdateDate>
<UpdatePerson_ID>5c9cdec5-c5c1-4174-bfad-e2318757dead</UpdatePerson_ID>
<VehicleService_ID>d699b550-36c9-4e0b-be88-62c1e7468516</VehicleService_ID>
<dtE>2026-05-17T04:11:30.7823561+05:00</dtE>
<dtS>2026-05-17T04:11:30.7823561+05:00</dtS>
</SendForExpensM>
<SendForExpensM>
<CreateDate>2026-05-17T04:11:30.7823561+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>23261831-f3dc-4b70-9c97-ca9832497d30</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-05-17T04:11:30.7823561+05:00</CreateDate>
<ID>a3ba89e7-2261-48b4-8d36-cdc4e9f452fb</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>198c0e2e-96be-4971-b250-7c33748e1495</StockIncoming_ID>
<Stock_ID>0024de9d-4dfe-478c-bf6b-6192162c8101</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-05-17T04:11:30.7823561+05:00</UpdateDate>
<UpdatePerson_ID>5c9cdec5-c5c1-4174-bfad-e2318757dead</UpdatePerson_ID>
<VehicleService_ID>d699b550-36c9-4e0b-be88-62c1e7468516</VehicleService_ID>
<dtE>2026-05-17T04:11:30.7823561+05:00</dtE>
<dtS>2026-05-17T04:11:30.7823561+05:00</dtS>
</SendForExpensM>
</SendForExpens>
<ServiceType_ID>3</ServiceType_ID>
<Status>true</Status>
<UpdatePerson_ID>4577a5d4-ee35-4012-add0-51b7556b4a71</UpdatePerson_ID>
<Vehicle_ID>79b66ab6-3331-4cb6-8f70-f2bb3fc8ce2d</Vehicle_ID>
<documents>
<DocumentM>
<createDate>2026-05-17T04:11:30.7823561+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>b3275773-e00b-453e-b68d-879f02fdbf41</id>
</DocumentM>
<DocumentM>
<createDate>2026-05-17T04:11:30.7823561+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>b3275773-e00b-453e-b68d-879f02fdbf41</id>
</DocumentM>
</documents>
<documentsForService>
<DocumentM>
<createDate>2026-05-17T04:11:30.7823561+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>b3275773-e00b-453e-b68d-879f02fdbf41</id>
</DocumentM>
<DocumentM>
<createDate>2026-05-17T04:11:30.7823561+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>b3275773-e00b-453e-b68d-879f02fdbf41</id>
</DocumentM>
</documentsForService>
</VehicleServiceM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>